中危 Apple iOS 和 iPadOS 缓冲区错误漏洞

CVE编号

CVE-2021-30934

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-12-20
漏洞描述
Apple iOS和Apple iPadOS都是美国苹果(Apple)公司的产品。Apple iOS是一套为移动设备所开发的操作系统。Apple iPadOS是一套用于iPad平板电脑的操作系统。

Apple iOS 和 iPadOS 存在安全漏洞,该漏洞源于。缓冲区溢出问题通过改进内存处理得到解决。处理恶意制作的web内容可能会导致任意代码的执行。以下产品及版本受影响:iPhone 6s及以上、iPad Pro(所有型号)、iPad Air 2及以上、iPad 5及以上、iPad mini 4及以上、iPod touch(第7代)
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://support.apple.com/en-us/HT212976
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apple safari * Up to
(excluding)
15.2
运行在以下环境
系统 alpine_3.16 webkit2gtk * Up to
(excluding)
2.34.4-r0
运行在以下环境
系统 alpine_edge webkit2gtk * Up to
(excluding)
2.34.4-r0
运行在以下环境
系统 apple ipados * Up to
(excluding)
15.2
运行在以下环境
系统 apple iphone_os * Up to
(excluding)
15.2
运行在以下环境
系统 apple macos * From
(including)
12.0
Up to
(excluding)
12.1
运行在以下环境
系统 apple tvos * Up to
(excluding)
15.2
运行在以下环境
系统 apple watchos * Up to
(excluding)
8.3
运行在以下环境
系统 centos_8 webkit2gtk * Up to
(excluding)
2.34.6-1.el8
运行在以下环境
系统 debian_10 webkit2gtk * Up to
(excluding)
2.34.4-1~deb10u1
运行在以下环境
系统 debian_11 webkit2gtk * Up to
(excluding)
2.34.4-1~deb11u1
运行在以下环境
系统 debian_9 webkit2gtk * Up to
(including)
2.18.6-1~deb9u1
运行在以下环境
系统 fedora_34 webkit2gtk3-jsc-devel-debuginfo * Up to
(excluding)
2.34.4-1.fc34
运行在以下环境
系统 fedora_35 webkit2gtk3-jsc-devel-debuginfo * Up to
(excluding)
2.34.4-2.fc35
运行在以下环境
系统 opensuse_Leap_15.3 webkit2gtk * Up to
(excluding)
2.34.6-29.1
运行在以下环境
系统 opensuse_Leap_15.4 webkit2gtk * Up to
(excluding)
2.34.6-29.1
运行在以下环境
系统 redhat_8 webkit2gtk * Up to
(excluding)
2.34.6-1.el8
运行在以下环境
系统 suse_12_SP5 webkit2gtk * Up to
(excluding)
2.34.5-2.85.3
运行在以下环境
系统 ubuntu_20.04 webkit2gtk * Up to
(excluding)
2.34.4-0ubuntu0.20.04.1
运行在以下环境
系统 ubuntu_21.10 webkit2gtk * Up to
(excluding)
2.34.4-0ubuntu0.21.10.1
运行在以下环境
系统 ubuntu_22.04 webkit2gtk * Up to
(excluding)
2.35.2-1
阿里云评分
5.8
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-120 未进行输入大小检查的缓冲区拷贝(传统缓冲区溢出)
阿里云安全产品覆盖情况